# TdApi.MessageGameScore (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: MessageGameScore

Package it.tdlight.jni

# Class TdApi.MessageGameScore

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessageGameScore

Enclosing class:
  TdApi

    public static class TdApi.MessageGameScore
    extends TdApi.MessageContent

A new high score was achieved in a game.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`long` | `gameId` | Identifier of the game; may be different from the games presented in the message with the game.
`long` | `gameMessageId` | Identifier of the message with the game, can be an identifier of a deleted message.
`int` | `score` | New score.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MessageGameScore()` | A new high score was achieved in a game.
`MessageGameScore​(long gameMessageId, long gameId, int score)` | A new high score was achieved in a game.
`MessageGameScore​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### gameMessageId

public long gameMessageId
Identifier of the message with the game, can be an identifier of a deleted message.

### gameId

public long gameId
Identifier of the game; may be different from the games presented in the message with the game.

### score

public int score
New score.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### MessageGameScore

public MessageGameScore()
A new high score was achieved in a game.

### MessageGameScore

public MessageGameScore​(long gameMessageId, long gameId, int score)
A new high score was achieved in a game.

Parameters:
  `gameMessageId` - long Identifier of the message with the game, can be an identifier of a deleted message.
  `gameId` - long Identifier of the game; may be different from the games presented in the message with the game.
  `score` - int New score.

### MessageGameScore

public MessageGameScore​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`